Results 1 to 9 of 9

Thread: Can't open printer dialog from Yast

  1. #1
    Join Date
    Aug 2009
    Location
    V�rmland, Sweden
    Posts
    41

    Question Can't open printer dialog from Yast

    Hi.

    I often activate my wifi printer from the printer dialog that I start graphically from Yast, but for some reason the printer dialog doesn't pop up anymore? I have done some minor attempts to update to latest versions and restart, but without any success.

    How do I debug what's going on? Where do I find the logs?
    Can I open the printer dialog from command line, to hopefully get some more message about why it is not starting?

    /freefox

  2. #2
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    20,713
    Blog Entries
    1

    Default Re: Can't open printer dialog from Yast

    Examine /var/log/YaST2/y2log for relevant errors. You could open a terminal and run
    Code:
    sudo tail -f /var/log/YaST2/y2log
    then try launching the YaST > Hardware > Printer utility. Observe/capture the output, and post the output here if further assistance required.

  3. #3
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    20,713
    Blog Entries
    1

    Default Re: Can't open printer dialog from Yast

    I have done some minor attempts to update to latest versions and restart, but without any success.
    Best to tell us exactly what steps you did here. How did you update specifically?

    Are your repos consistent for TW?
    Code:
    zypper lr -d

  4. #4
    Join Date
    Aug 2009
    Location
    V�rmland, Sweden
    Posts
    41

    Default Re: Can't open printer dialog from Yast

    Quote Originally Posted by deano_ferrari View Post
    Examine /var/log/YaST2/y2log for relevant errors.
    Code:
     2017-09-09 12:20:40 <2> linux-65mt(3502) [ui] YUILoader.cc(loadPlugin):195     THROW:    Couldn't load plug-in qt2017-09-10 05:54:50 <1> linux-65mt(9505) [Ruby] bin/y2start:16 y2base called with ["printer", "qt", "-name", "YaST2", "-icon", "yast"]
    2017-09-10 05:54:50 <1> linux-65mt(9505) [ui-component] YUIComponentCreator.cc(createInternal):124 Creating UI component for ""
    2017-09-10 05:54:50 <1> linux-65mt(9505) [ui] YSettings.cc(setProgDir):61 Set progDir to "/usr/share/YaST2"
    2017-09-10 05:54:50 <1> linux-65mt(9505) [ui] YSettings.cc(setProgDir):62 progDir is now locked.
    2017-09-10 05:54:50 <1> linux-65mt(9505) [ui] YSettings.cc(setLocaleDir):147 Set localeDir to "/usr/share/YaST2/locale"
    2017-09-10 05:54:50 <1> linux-65mt(9505) [ui] YSettings.cc(setLocaleDir):148 localeDir is now locked.
    2017-09-10 05:54:50 <1> linux-65mt(9505) [ui] YPath.cc(YPath):49 Given filename: libyui-qt.so.8
    2017-09-10 05:54:50 <1> linux-65mt(9505) [ui] YSettings.cc(progDir):74 progDir: "/usr/share/YaST2"
    2017-09-10 05:54:50 <1> linux-65mt(9505) [ui] YPath.cc(YPath):65 Preferring subdir: /usr/share/YaST2
    2017-09-10 05:54:50 <1> linux-65mt(9505) [ui] YPath.cc(YPath):66 Subdir given with filename: 
    2017-09-10 05:54:50 <1> linux-65mt(9505) [ui] YPath.cc(YPath):67 Looking for: libyui-qt.so.8
    2017-09-10 05:54:50 <1> linux-65mt(9505) [ui] YPath.cc(lsDir):138 Looking in /usr/lib64/yui
    2017-09-10 05:54:50 <1> linux-65mt(9505) [ui] YPath.cc(YPath):121 Could NOT find libyui-qt.so.8 by looking recursive inside /usr/lib64/yui
    2017-09-10 05:54:50 <3> linux-65mt(9505) [ui] YUIPlugin.cc(YUIPlugin):50 Could not load UI plugin "qt": libyui-qt.so.8: cannot open shared object file: No such file or directory
    2017-09-10 05:54:50 <2> linux-65mt(9505) [ui] YUILoader.cc(loadPlugin):195     THROW:    Couldn't load plug-in qt
    Great! This points out that I have lost QT or parts of it.
    Here are my repos:
    Code:
    zypper lr -d
    Repository priorities are without effect. All enabled repositories share the same priority.
    
    
    # | Alias               | Name                        | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                    | Service
    --+---------------------+-----------------------------+---------+-----------+---------+----------+--------+------------------------------------------------------------------------+--------
    1 | adobe               | adobe                       | Yes     | ( p) Yes  | Yes     |   99     | rpm-md | http://linuxdownload.adobe.com/linux/x86_64/                           |        
    2 | openSUSE-20161003-0 | openSUSE-20161003-0         | Yes     | (r ) Yes  | No      |   99     | yast2  | cd:///?devices=/dev/disk/by-id/ata-MATSHITADVD-RAM_UJ880AS_UG52_090134 |
    3 | repo-debug          | openSUSE-Tumbleweed-Debug   | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/debug/tumbleweed/repo/oss/        | 
    4 | repo-non-oss        | openSUSE-Tumbleweed-Non-Oss | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/tumbleweed/repo/non-oss/      |
    5 | repo-oss            | openSUSE-Tumbleweed-Oss     | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/tumbleweed/repo/oss/                  |
    6 | repo-source         | openSUSE-Tumbleweed-Source  | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/source/tumbleweed/repo/oss/        |
    7 | repo-update         | openSUSE-Tumbleweed-Update  | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/tumbleweed/
    But how do I get QT back in place?
    Code:
    # zypper if qt
    Loading repository data...
    Reading installed packages...
    
    
    
    
    package 'qt' not found.
    /freefox

  5. #5
    Join Date
    May 2012
    Location
    Finland
    Posts
    2,012

    Default Re: Can't open printer dialog from Yast

    This actually sounds like an issue where the libyu qt8 packages are missing, try this;
    Code:
    sudo zypper in libyui-qt8 libyui-qt-pkg8
    .: miuku #suse @ irc.freenode.net
    :: miuku@opensuse.org

    .: h​ttps://download.opensuse.org/repositories/home:/Miuku/

  6. #6
    Join Date
    Aug 2009
    Location
    V�rmland, Sweden
    Posts
    41

    Default Re: Can't open printer dialog from Yast

    It looks like it is not in any of the repos?
    Code:
    # zypper in liblibyui-qt8 libyui-qt8-pkg8Loading repository data...
    Reading installed packages...
    Package 'libyui-qt8-pkg8' not found.
    'liblibyui-qt8' not found in package names. Trying capabilities.
    No provider of 'liblibyui-qt8' found.
    Resolving package dependencies...
    
    
    Nothing to do.

  7. #7
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    20,713
    Blog Entries
    1

    Default Re: Can't open printer dialog from Yast

    Quote Originally Posted by freefox View Post
    It looks like it is not in any of the repos?
    Code:
    # zypper in liblibyui-qt8 libyui-qt8-pkg8Loading repository data...
    Reading installed packages...
    Package 'libyui-qt8-pkg8' not found.
    'liblibyui-qt8' not found in package names. Trying capabilities.
    No provider of 'liblibyui-qt8' found.
    Resolving package dependencies...
    
    
    Nothing to do.
    No such packages

    Copy the command as it was given to you. It should be 'libyui-qt8' and 'libyui-qt-pkg8'.
    Last edited by deano_ferrari; 09-Sep-2017 at 23:34.

  8. #8
    Join Date
    May 2012
    Location
    Finland
    Posts
    2,012

    Default Re: Can't open printer dialog from Yast

    Quote Originally Posted by deano_ferrari View Post
    Copy the command as it was given to you. It should be 'libyui-qt8'.
    This was actually my mistake, fire was so fast he must've seen my pre-edit one. OP; please check my revised post a minute after I posted it :-)

    I should just copy paste and not type them by hand..
    .: miuku #suse @ irc.freenode.net
    :: miuku@opensuse.org

    .: h​ttps://download.opensuse.org/repositories/home:/Miuku/

  9. #9
    Join Date
    Aug 2009
    Location
    V�rmland, Sweden
    Posts
    41

    Default Re: Can't open printer dialog from Yast

    Thank you very much! Just wanted to confirm that it works now!

    /freefox

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •